function mC = BsplinesDer(vX, vXi, iKappa)

K = size(vXi,2);
T = size(vX,2);

mB1 = Bsplines(vX,vXi,iKappa-1);
mC  = zeros(K-iKappa,T);

for m=1:K-iKappa
    mC(m,:) = (iKappa - 1) * ( (mB1(m,:) / (vXi(m+iKappa-1) - vXi(m) ) ) - ( mB1(m+1,:) / (vXi(m+iKappa) - vXi(m+1))   ) ) ;

end

end