function dGrad = fEvaluateGder(mYtilde, mR, mAopt, mBopt, iD, iT, mC)

    mK     = zeros(iD,iT); 
    mBfit  = zeros(iD, iT);
    for t=1:iT
        for i=1:iD
            
            vAopt  = mAopt{i};
            vBopt  = mBopt{i};
            
            tmp = zeros(size(vAopt,1),1);
            for k=1:size(vAopt,1)
               tmp(k) = vAopt(k) * (mR(i,:) * mYtilde(:,t)) -  vBopt(k);  
            end
                      
            [~, mK(i,t)] = min(tmp); 
            
            mBfit(i,t) = mAopt{i}(mK(i,t));
        end
    end

    dGrad  = mean( sum( mBfit .* (mC * mYtilde) , 1) , 2); 
end 