function dLL = fJcommonvariance(vPar,vOrders,vInd,iD,mW, mY)

    mLigma = unvech(vPar(1:iD*(iD+1)/2));
    vD     = exp(diag(mLigma)); 
    mLigma(1:iD+1:end) = vD; 
   
    vAlpha = vPar(iD*(iD+1)/2 + 1:end); 
    mR     = fAmatrix(vAlpha, iD);
    mA     = mR' * mLigma;
    
    iKa    = size(vOrders,1);
    vMoments = zeros(iKa,1);
    
    for j=1:iKa
       vPowers_j   = vOrders(j,:)';
       vMoments(j) = mean(prod( (mA * mY).^vPowers_j , 1), 2) - vInd(j);
    end   
    
    dLL    = vMoments' * mW * vMoments;  
end