function dLL = fJcommonvarianceWhite(vPar,vOrders,vInd,iD,mW, mY)
    
    mR     = fAmatrix(vPar, iD);
    mA     = mR';
    
    iKa    = size(vOrders,1);
    vMoments = zeros(iKa,1);
    
    for j=1:iKa
       vPowers_j  = vOrders(j,:)';
       vMoments(j) = mean(prod((mA * mY).^vPowers_j),2) - vInd(j);
    end   
    
    dLL    = vMoments' * mW * vMoments;  
end