function mSignedPermutations = fSignedPermutations(iD)

vLabel        = 1:1:iD; 
mBase         = eye(iD);
mPerms        = perms(vLabel); 
mPermutations = zeros(iD,iD,size(mPerms,1));
for s=1:size(mPerms,1)
    mPermutations(:,:,s) = mBase(:, mPerms(s,:) );
end

mSigns        = zeros(iD,iD,2^iD);
help          = dec2bin(0:2^iD-1)' - '0';
help          = help + 1; 
for j=1:2^iD
    mSigns(:,:,j) = diag( (-ones(iD,1)).^help(:,j) ); 
end

mSignedPermutations = zeros(iD,iD,size(mSigns,1) * size(mPermutations,1)); 
d = 1;
for i=1:size(mPermutations,3)
    for j=1:size(mSigns,3)
        mSignedPermutations(:, :, d ) = mSigns(:,:,j) * mPermutations(:,:,i);
        d = d+1;
    end 
end



% if iK == 3 
%     vLabel = [1 2 3]; 
%     mBase  = eye(iK); 
%    
%     mPerms =  perms(vLabel); 
% 
%     mPermutations = zeros(iK,iK,size(mPerms,1)); 
%     for s=1:size(mPerms,1)
%        mPermutations(:,:,s) = mBase(:, mPerms(s,:) );
%     end
% 
%     mSigns        = zeros(iK,iK,2^iK);
%     d=1;
%     for s=1:2
%         for t=1:2
%             for u=1:2
%                mSigns(:,:,d) = diag([(-1)^s (-1)^t (-1)^u]); 
%                d = d+1;
%             end
%         end
% 
%     end
% 
%     mSignedPermutations = zeros(iK,iK,size(mSigns,1) * size(mPermutations,1)); 
%     d = 1;
%     for i=1:size(mPermutations,3)
%         for j=1:size(mSigns,3)
%             mSignedPermutations(:, :, d ) = mSigns(:,:,j) * mPermutations(:,:,i);
%             d = d+1;
%         end 
%     end
% end
% 
% if iK == 4
%     vLabel = [1 2 3 4]; 
%     mBase  = eye(iK); 
%    
%     mPerms =  perms(vLabel); 
% 
%     mPermutations = zeros(iK,iK,size(mPerms,1)); 
%     for s=1:size(mPerms,1)
%        mPermutations(:,:,s) = mBase(:, mPerms(s,:) );
%     end
% 
%     mSigns        = zeros(iK,iK,2^iK);
%     d=1;
%     for s=1:2
%         for t=1:2
%             for u=1:2 
%                 for v=1:2
%                     mSigns(:,:,d) = diag([(-1)^s (-1)^t (-1)^u (-1)^v]); 
%                     d = d+1;
%                 end
%             end
%         end
% 
%     end
% 
%     mSignedPermutations = zeros(iK,iK,size(mSigns,1) * size(mPermutations,1)); 
%     d = 1;
%     for i=1:size(mPermutations,3)
%         for j=1:size(mSigns,3)
%             mSignedPermutations(:, :, d ) = mSigns(:,:,j) * mPermutations(:,:,i);
%             d = d+1;
%         end 
%     end
%     
%     
% end

end