function X = unvech(x)
%vec2ltri Unvectorise a lower triangular matrix

    d = length(x);
    s = round((sqrt(8*d+1)-1)/2);
    if s*(s+1)/2~=d; error('vec2ltri: length of vector is not triangular'); end
    
    X = zeros(s,s);
    X(logical(tril(ones(s,s)))) = x;

end
