function mB = Bsplines(vX, vXi, iKappa)

    K = size(vXi,2);
    T = size(vX,2);

    mB1 = zeros(K-1,T);
    
    for m=1:K-1
       for i=1:T
          if  (vX(i) >= vXi(m)) && (vX(i) < vXi(m+1))
                mB1(m,i) = 1;
          end
       end
    end
    
    
    for k=2:iKappa
       mB = zeros(K-k,T);
       for m=1:K-k
         for i=1:T
            mB(m,i) = ( (vX(i) - vXi(m)) / (vXi(m+k-1) - vXi(m)) ) * mB1(m,i) + ( (vXi(m+k) - vX(i)) / (vXi(m+k) - vXi(m+1) ) ) * mB1(m+1,i);             
         end
       end
       
       if k < iKappa
           mB1 = mB;
       end       
    end
    
end