function dG = fEvaluateG(mYtilde, mR, mAopt, mBopt, iD, iT)


    mG = zeros(iD,iT); 
    for t=1:iT
        for i=1:iD
            vAopt  = mAopt{i};
            vBopt  = mBopt{i};
            
            tmp = zeros(size(vAopt,1),1);
            for j=1:size(vAopt,1)
               tmp(j) = vAopt(j) * (mR(i,:) * mYtilde(:,t)) -  vBopt(j);  
            end
            
            mG(i,t) = min(tmp); 
            
        end
    end

    dG = mean( sum(mG, 1), 2); 

end 