function dLL = fTICAlik(vPar, mY, vH)

    iD = size(mY,1);    % dimension       

    mSigma = unvech(vPar(1:iD*(iD+1)/2));
    vD     = exp(diag(mSigma)); 
    mSigma(1:iD+1:end) = vD; 
   
    vAlpha = vPar(iD*(iD+1)/2 + 1:end); 
    mR     = fAmatrix(vAlpha, iD);
%     mAinv  = mSigma * inv(mR); 
%     mA     = inv(mAinv);
    mA     = mR' * mSigma; 
    
    mArg    = vH .* (mA * mY).^2;
    mLogLik = -sqrt(0.005 + mArg); 

    dLL    = -mean(sum(mLogLik,1),2) - log(abs(det(mA)));
end