function dError = frobenius_distance(mA1,mA2) 
    
    iD     = size(mA1,1);
    
    mQ_all = fSignedPermutations(iD);
    
    vF = zeros(size(mQ_all,3),1); 
    for i=1:size(mQ_all,3)
        vF(i) = iD^-2 * norm(inv(mA2) * mQ_all(:,:,i) * mA1 - eye(iD),"fro");
    end

    dError = min(vF);
end